Summary:	PBS Professional DRMAA
Name:		pbspro-drmaa
Version:	1.0.19
Release:	4
License:	GPL
Group:		Libraries
Source:		pbs-drmaa-%{version}.tar.gz
BuildRequires:	gcc >= 4.1
BuildRequires:  pbs
BuildRequires:  openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
Requires:       pbs-cmds

%define         _destdir        /opt/qcg/dependencies
%define         _sbindir        %{_destdir}/sbin
%define         _bindir         %{_destdir}/bin
%define         _includedir     %{_destdir}/include
%define         _sysconfdir     %{_destdir}/etc
%define         _libdir         %{_destdir}/lib

%description
DRMAA library for PBS Professional.

%package devel
Summary:	Development files for pbspro-drmaa
Group:		Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for pbspro-drmaa.

%prep
%setup -q -n  pbs-drmaa-%{version}

%build

%{!?configure_options: %define configure_options %{nil}} 

%configure \
	--prefix=%{_destdir} \
	--with-pbs=/usr/pbs \
        --sysconfdir=%{_sysconfdir} \
        CPPFLAGS='-fstack-protector-all' \
        %{configure_options}

NUMCPU=`grep processor /proc/cpuinfo | wc -l`
[ $NUMCPU -eq 0 ] && NUMCPU=1;

make -j$NUMCPU

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%pre
%post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_libdir}/*
%{_sysconfdir}

%files devel
%defattr(644,root,root,755)
%{_includedir}
